with GNATCOM.Dispinterface;

package MSHTML.IHTMLDataTransfer_Interface is

   type IHTMLDataTransfer_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLDataTransfer_Type);

   function Pointer (This : IHTMLDataTransfer_Type)
     return Pointer_To_IHTMLDataTransfer;

   procedure Attach (This    : in out IHTMLDataTransfer_Type;
                     Pointer : in     Pointer_To_IHTMLDataTransfer);

   function setData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.BSTR;
      data   : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT_BOOL;

   function getData
     (This    : IHTMLDataTransfer_Type;
      format  : GNATCOM.Types.BSTR;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function clearData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.BSTR;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_dropEffect
     (This : IHTMLDataTransfer_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dropEffect
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_effectAllowed
     (This : IHTMLDataTransfer_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_effectAllowed
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLDataTransfer_Interface;

